Summary:	Japanese Morphological Analysis System, ChaSen
Summary(pl.UTF-8):	System analizy morfologii japońskiej ChaSen
Name:		chasen
Version:	2.4.5
Release:	2
Epoch:		0
License:	BSD
Group:		Applications/Text
#Source0Download: http://sourceforge.jp/projects/chasen-legacy/
Source0:	http://dl.sourceforge.jp/chasen-legacy/56305/%{name}-%{version}.tar.xz
# Source0-md5:	8118190078e692884ad1a31927c22371
URL:		http://chasen-legacy.sourceforge.jp/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	darts
BuildRequires:	iconv
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.4d
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Japanese Morphological Analysis System.

%description -l pl.UTF-8
System analizy morfologii japońskiej ChaSen.

%package devel
Summary:	Header files for ChaSen developers
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających systemu ChaSen
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	libstdc++-devel

%description devel
Header files for ChaSen developers.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla deweloperów używających systemu ChaSen.

%package static
Summary:	Static ChaSen library
Summary(pl.UTF-8):	Biblioteka statyczna ChaSen
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static ChaSen library.

%description static -l pl.UTF-8
Biblioteka statyczna ChaSen.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%lang(ja) %doc doc/manual-j.pdf
%attr(755,root,root) %{_bindir}/chasen
%attr(755,root,root) %{_libdir}/libchasen.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libchasen.so.2
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/makeda
%attr(755,root,root) %{_libdir}/%{name}/makemat

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/chasen-config
%attr(755,root,root) %{_libdir}/libchasen.so
%{_libdir}/libchasen.la
%{_includedir}/chasen.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libchasen.a
%changelog
* Thu Mar 12 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/chasen.git;a=log;h=master

* Thu Mar 12 2015 Jan Rękorajski <baggins@pld-linux.org> 5df73e9
- release 2 (by relup.sh)

* Sun Nov 18 2012 Jakub Bogusz <qboosh@pld-linux.org> 349c282
- new URLs, updated to 2.4.5
- removed obsolete gcc4 patch

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> e9c9f8c
- rel 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> ee007cc
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 7d1c566
- converted to UTF-8

* Sat Feb 25 2006 Paweł Sikora <pluto@pld-linux.org> 025dd49
- gcc4 fix.

* Sat Feb 25 2006 Paweł Sikora <pluto@pld-linux.org> c6dc277
- cast fix.

* Sat May 28 2005 zbyniu <zbyniu@pld-linux.org> c81b760
- BR: iconv

* Wed Dec 15 2004 radek <radek@pld-linux.org> 3bf8469
- minor License unifications

* Sat Dec 06 2003 Jakub Bogusz <qboosh@pld-linux.org> b1eba46
- updated to 2.3.3, removed obsolete nolibs patch
- BR: darts, libstdc++-devel

* Sat Dec 06 2003 Jakub Bogusz <qboosh@pld-linux.org> ff4955b
- obsoleted

* Fri Oct 10 2003 Jakub Bogusz <qboosh@pld-linux.org> 06b7294
- added missing ldconfig call

* Fri Sep 12 2003 twittner <twittner@pld-linux.org> 09db03a
- Release 2: now rel.1 is for Ra* on RA-branch,
  rel.2 for newer than Ra*

* Mon Sep 01 2003 Jakub Bogusz <qboosh@pld-linux.org> c415729
- added nolibs patch, cleanups, BR: ac,am,lt

* Mon Sep 01 2003 Jakub Bogusz <qboosh@pld-linux.org> 21ba45a
- we don't need -lnsl

* Mon Sep 01 2003 twittner <twittner@pld-linux.org> ce492e4
- added static package

* Mon Sep 01 2003 twittner <twittner@pld-linux.org> dc15537
- new, for namazu, NFY, my 1st

